%define  unsigned 1
%if %{unsigned}
%define dev 1
%endif

Name:           bootfw
Version:        q2e48
Release:        1%{?dev:.unsigned}
Summary:        boot firmware for the XO

Group:          System Environment/Base
License:        MIT/BSD+condition
URL:            http://wiki.laptop.org/go/Firmware
%if %{unsigned}
Source0:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom
Source1:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom.sha1
%else
Source0:        http://dev.laptop.org/pub/firmware/%{version}/bootfw.zip
Source1:        http://dev.laptop.org/pub/firmware/%{version}/bootfw-%{version}.zip.sha1
%endif
# comes from http://openbios.org/viewvc/README?view=markup&root=OpenFirmware
Source2:        README.openfirmware
Source3:        olpc.fth
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Open Firmware for the OLPC XO
%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE2} .
sha1sum -c %{SOURCE1}
%if %{unsigned}
cp -p %{SOURCE0} data.img
zip -n .img bootfw.zip data.img
%endif


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/
install -m 0644 bootfw.zip $RPM_BUILD_ROOT/boot/bootfw.zip
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/boot/olpc.fth

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.openfirmware
/boot/bootfw.zip
/boot/olpc.fth


%changelog
* Thu Oct 13 2011 James Cameron <quozl@laptop.org>
- q2e48 release

* Fri Jul 22 2011 James Cameron <quozl@laptop.org>
- q2e46 release

* Wed Mar 03 2009 Richard Smith <richard@laptop.org>
- q2f02 devel release

* Thu Dec 11 2008 Richard Smith <richard@laptop.org>
- Start of F series - q2f01

* Thu Nov 06 2008 Mitch Bradley <wmb@laptop.org> - q2e22
- q2e22 Firmware production release for new touchpads

* Fri Oct 31 2008 Mitch Bradley <wmb@laptop.org> - q2e21
- q2e21 Firmware EC maintenance release

* Fri Oct 24 2008 Mitch Bradley <wmb@laptop.org> - q2e20
- q2e20 Firmware update for test build and debxo

* Fri Oct 03 2008 Mitch Bradley <wmb@laptop.org> - q2e19
- q2e19 Firmware for test build with new keyboard controller

* Wed Sep 17 2008 Mitch Bradley <wmb@laptop.org> - q2e18
- q2e18 Firmware for release 8.2.0

* Tue Sep  9 2008 Mitch Bradley <wmb@laptop.org> - q2e17
- q2e17 Firmware for release 8.1.x & 8.2.0

* Tue Sep  9 2008 Richard Smith <richard@laptop.org> - q2e16
- q2e16 Firmware for release 8.1.x & 8.2.0

* Fri Aug 29 2008 Richard Smith <richard@laptop.org> - q2e15
- q2e15 Firmware for release 8.2 

* Fri Aug 22 2008  Mitch Bradley <wmb@laptop.org> - q2e14
- q2e14 Firmware for release 8.2

* Thu Aug 14 2008 Richard Smith <richard@laptop.org> - q2e13
- q2e13 Firmware for release 8.1.2

* Tue Jul 28 2008  Mitch Bradley <wmb@laptop.org> - q2e12
- q2e12 Firmware for release 8.1.2 / SW-ECO 6 (with fix for trac 7607)

* Mon Jul 14 2008  Richard Smith <richard@laptop.org> - q2e11
- q2e11 Firmware for release 8.1.2 

* Thu Jul  3 2008  Mitch Bradley <wmb@laptop.org> - q2e10
- q2e10 - first test version of OFW2

* Wed May 28 2008  Richard Smith <richard@laptop.org> - q2d16
- Build unsigned q2d16

* Sat Mar 21 2008  Richard Smith <richard@laptop.org> - q2d15
- Build unsigned q2d15
- Identical to q2d15. For testing secure upgrade

* Sat Mar 13 2008  Richard Smith <richard@laptop.org> - q2d14
- Build unsigned q2d14

* Sat Feb 06 2008  Richard Smith <richard@laptop.org> - q2d13
- Build unsigned q2d13

* Sat Feb 02 2008  Mitch Bradley <wmb@laptop.org> - q2d12
- Build unsigned q2d12

* Wed Jan  30 2008 Richard Smith <richard@laptop.org> - q2d11
- Build unsigned q2d11

* Fri Jan 25 2008 Richard Smith <richard@laptop.org> - q2d10
- Build unsigned q2d10

* Wed Jan 23 2008 Dennis Gilmore <dennis@laptop.org> - q2d08a-1
- Build signed firmware q2d08a

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-2
- move the creation of bootfw.zip to prep from build for unsigned builds

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-2
- add olpc.fth

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-1
- Add bits to allow packaging of unsigned builds
- update to q2d09 which is unsigned
- add copy of license file

* Wed Jan 02 2008 Dennis Gilmore <dennis@laptop.org> - q2d07-1
- inital build 
